
shr.defineClass("shr.custom.PunchCardRecordListEx", shr.ats.PunchCardRecordList, {
	initalizeDOM: function () {
		var _self = this;
		shr.custom.PunchCardRecordListEx.superClass.initalizeDOM.call(this);
	},
	/**
	*同步考勤打卡数据
	*/
	syncZKPunchCardDataAction: function (action) {
		var _self = this;
	
			shr.showConfirm("是否开始同步考勤打卡数据？", function () {
				$.block.show({
					text: '正在同步，请勿操作！',
				});
				_self.remoteCall({
					method: 'syncZKPunchCardData',
					param: {
					},
					async:true,
					success: function (data) {
							shr.showInfo({
								message: "同步成功",
								hideAfter: 3
							});
					}, complete: function () {
						$.block.hide()
					}
				});
			})
	},

	/**
	*同步门禁打卡数据
	*/
	syncPunchRecordFromMJAction: function (action) {
		var _self = this;
	
			shr.showConfirm("是否开始同步门禁打卡数据？", function () {
				$.block.show({
					text: '正在同步，请勿操作！',
				});
				_self.remoteCall({
					method: 'syncPunchRecordFromMJ',
					param: {
					},
					async:true,
					success: function (data) {
							shr.showInfo({
								message: "同步成功",
								hideAfter: 3
							});
					}, complete: function () {
						$.block.hide()
					}
				});
			})
	},
	
});

